Skip to navigation

Update Storefront Search Settings

Updates search settings.

  • Channel ID can be used as a query parameter for updating channel-specific settings. If omitted, you will interact with the global settings only.

  • null should be supplied to delete overrides per given channel and to inherit values from global level. Partial updates are not supported and all settings should be supplied with null value in order to delete overrides per channel.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

This endpoint expects an object.
content_product_sortenumRequiredDefaults to relevance
Allowed values:
default_product_sortenumRequiredDefaults to bestselling
The available sorts for PLP pages.
product_filtering_enabledbooleanRequired
Controls whether Product Filtering feature is active on the storefront. Only supports manipulation on a global level.
search_suggestbooleanRequired

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.